import tkinter as tk
import serial
data = serial.Serial('COM3',9600)
def turn_led_off():                     #This is to turn the LED off, we send one over the serial port and in the arduino code we turn the led off using digitalWrite
    data.write(b'0')
def blue():                      #This is to turn the LED on, we send one over the serial port and in the arduino code we turn the led on using digitalWrite
    data.write(b'1')
def green():
    data.write(b'2')
def red():
    data.write(b'3')
def allon():
    data.write(b'4')
def blink():
    data.write(b'5')


h = 500
w = 400
wf = 0.9
hf = 0.8

root = tk.Tk()
# # Windows size height and width
root.title("LED ON/OFF APP")
canvas = tk.Canvas(root, height=h, width=w)
canvas.pack()
root.wm_attributes("-transparentcolor", 'grey')

background_image = tk.PhotoImage(file='LD.png')
background_label = tk.Label(root, image=background_image)
background_label.place(anchor="n", relx=0.5, rely=-1.35, relwidth=4, relheight=4)

label = tk.Label(root, text="LED ON/OFF BOARD", font=('Stencil',20),bg="#000000", fg="white")
label.place(relx= 0.1, rely= 0.01, relwidth=0.8, relheight=0.12)

of = tk.Button(root, text="OFF", font=('Stencil',20), bg="black",fg="white", command=turn_led_off)
of.place(relx= 0.07, rely= 0.14, relwidth=0.25, relheight=0.74)

bl = tk.Button(root, text="BLUE", font=('Stencil',20), bg="#4db8ff", command=blue)
bl.place(relx= 0.34, rely= 0.14, relwidth=0.32, relheight=0.17)

gr = tk.Button(root, text="Green", font=('Stencil',20), bg="#4dff4d", command=green)
gr.place(relx= 0.34, rely= 0.330, relwidth=0.32, relheight=0.17)

rd = tk.Button(root, text="RED", font=('Stencil',20), bg="#ff4d4d", command=red)
rd.place(relx= 0.34, rely= 0.52, relwidth=0.32, relheight=0.17)

gr = tk.Button(root, text="BLINK", font=('Stencil',20), bg="#ffa64d", command=blink)
gr.place(relx= 0.34, rely= 0.710, relwidth=0.32, relheight=0.17)

wh = tk.Button(root, text="ALL ON", font=('Stencil',20), bg="white", command=allon)
wh.place(relx= 0.68, rely= 0.14, relwidth=0.25, relheight=0.74)

root.mainloop()
